ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# VariantCallingAnnotationsField 

###

#### object VariantCallingAnnotationsField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantCallingAnnotationsField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
   Definition Classes
     FieldEnumeration
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  val attributes: SchemaVal
12.  val baseQRankSum: SchemaVal
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
14.  val culprit: SchemaVal
15.  val downsampled: SchemaVal
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  val filtersApplied: SchemaVal
19.  val filtersFailed: SchemaVal
20.  val filtersPassed: SchemaVal
21.  val fisherStrandBiasPValue: SchemaVal
22.  val genotypePosteriors: SchemaVal
23.  val genotypePriors: SchemaVal
24.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  val mapq0Reads: SchemaVal
28.  final def maxId: Int
    Definition Classes
      Enumeration
29.  val mqRankSum: SchemaVal
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
32.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
35.  val readPositionRankSum: SchemaVal
36.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
37.  val recordSchema: Schema
    Definition Classes
      FieldEnumeration
38.  val rmsMapQ: SchemaVal
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
41.  def values: ValueSet
    Definition Classes
      Enumeration
42.  val vqslod: SchemaVal
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped